Draft Array/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "== Seçenekler == Bu araç için seçenek yok. Seçili nesnelerle çalışır veya çalışmaz.")
(Created page with "== Özellikler == * {{PropertyData | Base}}: Dizide çoğaltılacak nesneyi belirtir. * {{PropertyData | Array Type}}: "ortho" veya "polar" olmak üzere yaratılacak dizinin...")
Line 30: Line 30:
Bu araç için seçenek yok. Seçili nesnelerle çalışır veya çalışmaz.
Bu araç için seçenek yok. Seçili nesnelerle çalışır veya çalışmaz.


== Properties ==
== Özellikler ==
* {{PropertyData|Base}}: specifies the object to duplicate in the array.
* {{PropertyData | Base}}: Dizide çoğaltılacak nesneyi belirtir.
* {{PropertyData|Array Type}}: specifies the type of array to create, either "ortho" or "polar".
* {{PropertyData | Array Type}}: "ortho" veya "polar" olmak üzere yaratılacak dizinin türünü belirtir.
* {{PropertyData|Fuse}}: if it is {{TRUE}}, and the copies intersect with each other, they will be fused together into a single shape.
* {{PropertyData | Fuse}}: {{TRUE}} ise ve kopyalar birbiriyle kesişirse, bunlar birlikte tek bir şekilde kaynaşırlar.


For orthogonal arrays:
For orthogonal arrays:

Revision as of 19:51, 15 January 2019

{{GuiCommand/tr |Name=Draft Array |Name/tr=Dizi |Workbenches=Taslak, Mimari |MenuLocation=Taslak → Dizi |SeeAlso=[[Draft PathArray/tr|Yol dizisi],Nokta dizisi,Klonla] }}

Açıklama

Dizi aracı, seçilen bir nesneden ortogonal (3 eksen) veya kutup dizisi oluşturur.

Bu araç, Taslak tezgahı ile oluşturulan 2D şekillerde kullanılabilir, ayrıca Parça tezgahı ve Parça tasarım tezgahı ile oluşturulan birçok 3D nesne üzerinde de kullanılabilir.

Kopyaları bir yol boyunca konumlandırmak için Yol dizisi kullanın; kopyaları belirtilen noktalara yerleştirmek için Nokta dizisi kullanın; kopya veya klon oluşturmak ve bunları manuel olarak yerleştirmek için Taşı, Döndür ve Klonla kullanın.

Ortogonal bir dizi ve katı bir nesneden kutuplu bir dizi

Nasıl kullanılır

  1. Bir dizi yapmak istediğiniz nesneyi seçin.
  2. Dizi düğmesine basın. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.
  3. Dizi nesnesi hemen yaratılır. Oluşturulan kopyaların sayısını ve yönünü değiştirmek için dizinin özelliklerini değiştirmeniz gerekir.

Dizideki her öğe orijinal nesnenin tam bir klonudur, ancak dizinin tamamı özellikler ve görünüm açısından tek bir birim olarak kabul edilir.

Seçenekler

Seçenekler

Bu araç için seçenek yok. Seçili nesnelerle çalışır veya çalışmaz.

Özellikler

  • Veri Base: Dizide çoğaltılacak nesneyi belirtir.
  • Veri Array Type: "ortho" veya "polar" olmak üzere yaratılacak dizinin türünü belirtir.
  • Veri Fuse: true ise ve kopyalar birbiriyle kesişirse, bunlar birlikte tek bir şekilde kaynaşırlar.

For orthogonal arrays:

  • VeriInterval X: specifies the interval between each copy on the X axis.
  • VeriInterval Y: specifies the interval between each copy on the Y axis.
  • VeriInterval Z: specifies the interval between each copy on the Z axis.
  • VeriNumber X: specifies the number of copies on the X axis.
  • VeriNumber Y: specifies the number of copies on the Y axis.
  • VeriNumber Z: specifies the number of copies on the Z axis.

For polar arrays:

  • VeriAxis: specifies the normal direction of the array circle.
  • VeriCenter: specifies the center point of the array circle.
  • VeriAngle: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
  • VeriNumber Polar: specifies the number of copies to place in the circular arrangement.
  • VeriInterval Axis: specifies the interval between each copy on the VeriAxis direction.

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if VeriInterval X is (2 m, 1 m, 1 m), and VeriNumber X is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The VeriInterval Axis property works in the same way. If the original shape lies on the XY plane, creating a polar array with VeriInterval Axis (0, 0, z) allows you to make spiral arrangements.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

Simple array

The basic signature is as follows:

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

To create a rectangular array, use it like this:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

To create a polar array, use it like this:

array_list = array(objectslist, center, totalangle, totalnum)
  • Creates an array from the objects contained in objectslist, which can be a single object or a list of objects.
  • In case of a rectangular array, xvector, yvector, and zvector determine the distance between the base points of each copy, in the X, Y, and Z directions; and xnum, ynum, and znum are the number of copies in the respective direction.
  • In case of a polar array, center defines the center of the array circle, totalangle is the angle of the arc in degrees to cover with copies, and totalnum is the number of copies to arrange around the circle, including the original object.
  • array_list is returned with the new copies.
    • array_list is either a single object or a list of objects, depending on the input objectslist.

This function internally uses Draft.move() and Draft.rotate() with copy=True.

Example:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Parametric array

The basic signature is as follows:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

To create a rectangular array, use it like this:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

To create a polar array, use it like this:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Creates an Array object from the given baseobject.
  • In case of a rectangular array, xvector, yvector, and zvector determine the distance between the base points of each copy, in the X, Y, and Z directions; and xnum, ynum, and znum are the number of copies in the respective direction.
  • In case of a polar array, center defines the center of the array circle, totalangle is the angle of the arc in degrees to cover with copies, and totalnum is the number of copies to arrange around the circle, including the original object.

Example:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)